name: client_authentication
description: Client Authentication and Registration feature.
version: 0.0.1
publish_to: none
resolution: workspace

environment:
  sdk: '>=3.10.0 <4.0.0'
  flutter: ">=3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_bloc: ^8.1.0
  flutter_modular: ^6.3.0
  equatable: ^2.0.5
  firebase_core: ^4.2.1
  firebase_auth: ^6.1.2 # Updated for compatibility
  firebase_data_connect: ^0.2.2+1
  
  # Architecture Packages
  design_system:
    path: ../../../design_system
  core_localization:
    path: ../../../core_localization
  krow_data_connect:
    path: ../../../data_connect
  krow_domain:
    path: ../../../domain
  krow_core:
    path: ../../../core

dev_dependencies:
  flutter_test:
    sdk: flutter
  bloc_test: ^9.1.0
  mocktail: ^1.0.0
  build_runner: ^2.4.15

flutter:
  uses-material-design: true
